<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");

// config
$nPageName = "image_delete.php";
$nRefreshCall = "refreshImages();";

// Get passed-in vars
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);

$nPageCount = nGetContentCountForImage($nRecID);

if(!$nUpdateDB){
	if($nRecID){
		// some stuff
		$nSQL = "SELECT nPath FROM nImage WHERE nID='$nRecID' LIMIT 1";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		if($Row = mysql_fetch_array($Result)){
			$nPath = $Row["nPath"];
		}
	} else { echo "<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"; }
} else {
	$nRecID = $_POST["nRecID"];
	if($nRecID){
		if($nPageCount<1){
			$nSQL = "SELECT nPath,nPathOver,nPathEnlarge FROM nImage WHERE nID='$nRecID' LIMIT 1";
			mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
			if($Row = mysql_fetch_array($Result)){
				$nPath = $Row["nPath"];
				$nPathOver = $Row["nPathOver"];
				$nPathEnlarge = $Row["nPathEnlarge"];
			}
			if($nPath && file_exists("../../".$nPath)){ unlink("../../".$nPath); }
			if($nPathOver && file_exists("../../".$nPathOver)){ unlink("../../".$nPathOver); }
			if($nPathEnlarge && file_exists("../../".$nPathEnlarge)){ unlink("../../".$nPathEnlarge); }
			// Delete record
			$nSQL = "DELETE FROM nImage WHERE nID='$nRecID' LIMIT 1";
			mysql_select_db($DBName);
			mysql_query($nSQL, $Link);
		}
		// Optmization
		$nSQL = "OPTIMIZE TABLE nImage";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
	}
	echo "<script>$.colorbox.close();</script>";
	exit();
}
?>

<?php if($nPageCount<1){ ?>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td valign="top" style="padding-right:10px;"><img src="img/question.gif" alt="" width="32" height="32" border="0"></td>
			<td class="blueBold" style="font-size:12px;padding-right:10px;">Are you sure you want to delete this image and remove it permanently from all linked pages?</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td align="right" style="padding:10px;">
	<input type="submit" name="nYes" value="Yes" style="width:88px;"> &nbsp; 
	<input type="button" name="nCancel" value="No" style="width:88px;" onClick="$.colorbox.close();">
	</td>
  </tr>
</table>
</form>
<?php } else { ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td align="center" class="blueBold" style="font-size:12px;padding-right:10px;"><strong>This image cannot be deleted.</strong><BR><BR>It is currently in use <strong><?php echo $nPageCount;?> time(s)</strong> throughout the site.</td>
		  </tr>
		</table>
		
	</td>
  </tr>
</table>
<?php } ?>

<?php
function nGetContentCountForImage($nImgID){
	global $DBName,$Link;
	if(!$nImgID){ return 0; }
	$nSQL = "SELECT nID FROM nContent WHERE nImgID=$nImgID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nTotalContentResults = mysql_num_rows($Result);
	
	$nSQL = "SELECT nID FROM nPage WHERE nBGImgID=$nImgID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nTotalHomeResults = mysql_num_rows($Result);
	
	$nTotalResults = $nTotalContentResults + $nTotalHomeResults;
	return $nTotalResults;
}
?>
<?php require("../../inc/db_close.php"); ?>
