<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// note: logo config in CSS
$nCPVersion = "1.03a";

// Manage site status and redirect
$nSettingsARRAY = array();
$nSQL = "SELECT * FROM nSettings";
mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
while($Row = mysql_fetch_array($Result)){
	$nSetting = $Row["nSetting"];
	$nValue = $Row["nValue"];
	$nSettingsARRAY[$nSetting] = $nValue;
}

// site settings
$nSiteEnabled = $nSettingsARRAY["siteEnabled"];
$nSiteRedirect = $nSettingsARRAY["siteRedirect"];
$nDefaultLang = $nSettingsARRAY["defLanguage"];
$nCurrentTheme = $nSettingsARRAY["activeTemplate"];
$nPermalinks = $nSettingsARRAY["permalinks"];
$nAllowMobile = $nSettingsARRAY["allowMobile"];
// system settings
$nCoName = $nSettingsARRAY["coName"];
$nSiteName = $nSettingsARRAY["siteName"];
$nFullSitePath = $nSettingsARRAY["fullSitePath"];
$nForceWWW = $nSettingsARRAY["forceWWW"];
$nSiteRootPath = $nSettingsARRAY["siteRootPath"];

// ******** legacy fix (can be safely removed after 1.03 update)
if(!$nSiteRootPath){
	$nSiteRootPath = dirname($_SERVER['SCRIPT_FILENAME'])."/";
	$nSiteRootPath = str_replace("/inc/","/",$nSiteRootPath);
	$nSiteRootPath = str_replace("/manage/","/",$nSiteRootPath);
	$nSiteRootPath = str_replace("/list/","/",$nSiteRootPath);
	$Query = "UPDATE nSettings SET nValue='$nSiteRootPath' WHERE nSetting='siteRootPath'";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
}
// ******** end legacy fix


// Force "www" if necessary
if($nForceWWW){
	if(strpos($nFullSitePath,"www.")===false){ $nFullSitePath = str_replace("://","://www.",$nFullSitePath); }
	if(strpos($_SERVER['HTTP_HOST'],"www.")===false) { header("Location: $nFullSitePath"); exit(); }
}

if(!isset($_SESSION)){ session_start(); }
$ValidUser = (isset($_SESSION['ValidUser']) ? $_SESSION['ValidUser'] : NULL);
$nPHPSelf = $_SERVER["PHP_SELF"];
if(!$ValidUser){
	if($nPHPSelf!="/manage/" && $nPHPSelf!="/manage/index.php" && $nPHPSelf!="/manage/pwd_recovery.php" && $nPHPSelf!="/manage/process_login.php"){
		if(!$nSiteEnabled && $nSiteRedirect){ header ("Location: $nSiteRedirect"); exit(); }
		if(!$nSiteEnabled){ exit("Site currently offline for maintenance.  Please check back again later."); }
	}
}
?>
