<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 1;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");

// config
$nPageName = "page_delete.php";
$nRefreshCall = "refreshPages();";

// Get passed-in vars
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);

if(!$nUpdateDB){
	if($nRecID){
		$nSQL = "SELECT nNavTitle FROM nPage WHERE nID='$nRecID' LIMIT 1";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		if($Row = mysql_fetch_array($Result)){
			$nName = $Row["nNavTitle"];
		} else { echo "<div align=\"center\" style=\"padding:20px;\">No record found.</div>"; }
	} else { echo "<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"; }
} else {
	$nRecID = $_POST["nRecID"];
	if($nRecID){
		// Delete all components/content of this page
		$nSQL = "SELECT nContentID FROM xComponentPage WHERE nPageID=$nRecID";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		while($Row = mysql_fetch_array($Result)){
			$nContentID = $Row["nContentID"];
			if($nContentID){ nDeleteContent($nContentID); }
		}
		$nSQL = "DELETE FROM xComponentPage WHERE nPageID='$nRecID'";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		// Delete page title records (all languages)
		$nSQL = "DELETE FROM nTranslate WHERE nType='page' AND nItemID='$nRecID'";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		// Delete record
		$nSQL = "DELETE FROM nPage WHERE nID='$nRecID' LIMIT 1";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		// Optmization
		$nSQL = "OPTIMIZE TABLE nPage";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
	}
	echo "<script>$.colorbox.close();</script>";
	exit();
}
?>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td valign="top" style="padding-right:10px;"><img src="img/question.gif" alt="" width="32" height="32" border="0"></td>
			<td class="blueBold" style="padding-right:10px;">Are you sure you want to delete <strong><?php echo $nName?></strong>?</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td align="right" style="padding:10px;">
	<input type="submit" name="nYes" value="Yes" style="width:88px;"> &nbsp; 
	<input type="button" name="nCancel" value="No" style="width:88px;" onClick="$.colorbox.close();">
	</td>
  </tr>
</table>
</form>
<?php
function nDeleteContent($nContentID){
	global $DBName,$Link;
	if(!$nContentID){ return; }
	$nPageCount = nGetPageCount($nContentID);
	if($nPageCount<2){
		$nSQL = "DELETE FROM nContent WHERE nID='$nContentID' LIMIT 1";
		mysql_select_db($DBName);
		mysql_query($nSQL,$Link);
		// Delete any translations (all languages)
		$Query = "DELETE FROM nTranslate WHERE nItemID='$nContentID' AND nType='comp'";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
	}
}

function nGetPageCount($nContentID){
	global $DBName,$Link;
	$nSQL = "SELECT nID FROM xComponentPage WHERE nContentID='$nContentID'";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nTotalResults = mysql_num_rows($Result);
	return $nTotalResults;
}
?>
<?php require("../../inc/db_close.php"); ?>
